/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Firefox.
 *
 * The Initial Developer of the Original Code is Mozilla.
 * Portions created by the Initial Developer are Copyright (C) 2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Myk Melez <myk@mozilla.org>
 *   Asaf Romano <mano@mozilla.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/**** folder menulist ****/
.folder-icon > .menulist-label-box > .menulist-icon {
  width: 16px;
  height: 16px;
}

.folder-icon > .menu-iconic-left {
  display: -moz-box;
}

.folder-icon {
  list-style-image: url("chrome://global/skin/icons/folder-item.png") !important;
  -moz-image-region: rect(0px, 32px, 16px, 16px) !important;
}


/**** expanders ****/

.expander-up,
.expander-down {
  min-width: 0;
}

.expander-up {
	list-style-image: url("chrome://global/skin/arrow/arrow-up.gif");
}

.expander-down {
  list-style-image: url("chrome://global/skin/arrow/arrow-dn.gif");
}

.expander-down:hover:active {
	list-style-image: url("chrome://global/skin/arrow/arrow-dn-hov.gif");
}

.expander-up:hover:active {
	list-style-image: url("chrome://global/skin/arrow/arrow-up-hov.gif");
}

/**** name picker ****/

/* Make the microsummary picker look like a regular textbox instead of 
 * an editable menulist when no microsummaries are available.
 */
#editBMPanel_namePicker[droppable="false"] {
  /* These rules come from the textbox element in textbox.css. */

  /* Normal editable menulists set this to "none". */
  -moz-appearance: textfield;
  cursor: text;

  border: 2px solid;
  -moz-border-top-colors: ThreeDShadow ThreeDDarkShadow;
  -moz-border-right-colors: ThreeDHighlight ThreeDLightShadow;
  -moz-border-bottom-colors: ThreeDHighlight ThreeDLightShadow;
  -moz-border-left-colors: ThreeDShadow ThreeDDarkShadow;
  background-color: -moz-Field;
  color: -moz-FieldText;
}

#editBMPanel_namePicker[droppable="false"] > .menulist-dropmarker {
  /* Normal editable menulists set this to "menulist-textfield". */
  -moz-appearance: none;
  padding: 2px 2px 3px 4px;
}


/* Hide the drop marker and the popup. */

#editBMPanel_namePicker[droppable="false"] > .menulist-dropmarker,
#editBMPanel_namePicker[droppable="false"] > menupopup {
  display: none;
}
